# Class Options

java.lang.Object
org.mariadb.jdbc.util.Options

All Implemented Interfaces:
  `Cloneable`

public class Options extends Object implements Cloneable

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowLocalInfile`
`boolean`
`allowMasterDownConnection`
`boolean`
`allowMultiQueries`
`boolean`
`allowPublicKeyRetrieval`
`boolean`
`assureReadOnly`
`boolean`
`autocommit`
`boolean`
`autoReconnect`
`boolean`
`blankTableNameMeta`
`boolean`
`cacheCallableStmts`
`boolean`
`cachePrepStmts`
`int`
`callableStmtCacheSize`
`String`
`connectionAttributes`
`int`
`connectTimeout`
`boolean`
`continueBatchOnError`
`boolean`
`createDatabaseIfNotExist`
`String`
`credentialType`
`int`
`defaultFetchSize`
`boolean`
`disableSslHostnameVerification`
`boolean`
`dumpQueriesOnException`
`String`
`enabledSslCipherSuites`
`String`
`enabledSslProtocolSuites`
`boolean`
`enablePacketDebug`
`boolean`
`ensureSocketState`
`boolean`
`failOnReadOnly`
`int`
`failoverLoopRetries`
`String`
`galeraAllowedState`
`boolean`
`includeInnodbStatusInDeadlockExceptions`
`boolean`
`includeThreadDumpInDeadlockExceptions`
`boolean`
`interactiveClient`
`boolean`
`jdbcCompliantTruncation`
`String`
`keyPassword`
`String`
`keyStore`
`String`
`keyStorePassword`
`String`
`keyStoreType`
`int`
`loadBalanceBlacklistTimeout`
`String`
`localSocket`
`String`
`localSocketAddress`
`boolean`
`log`
`int`
`maxIdleTime`
`boolean`
`maximizeMysqlCompatibility`
`int`
`maxPoolSize`
`int`
`maxQuerySizeToLog`
`static final int`
`MIN_VALUE__MAX_IDLE_TIME`
`Integer`
`minPoolSize`
`Properties`
`nonMappedOptions`
`boolean`
`nullCatalogMeansCurrent`
`String`
`password`
`String`
`passwordCharacterEncoding`
`boolean`
`pinGlobalTxToPhysicalConnection`
`String`
`pipe`
`boolean`
`pool`
`String`
`poolName`
`int`
`poolValidMinDelay`
`int`
`prepStmtCacheSize`
`int`
`prepStmtCacheSqlLimit`
`boolean`
`profileSql`
`boolean`
`registerJmxPool`
`int`
`retriesAllDown`
`boolean`
`rewriteBatchedStatements`
`String`
`serverRsaPublicKeyFile`
`String`
`serverSslCert`
`String`
`serverTimezone`
`String`
`servicePrincipalName`
`String`
`sessionVariables`
`String`
`sharedMemory`
`Long`
`slowQueryThresholdNanos`
`String`
`socketFactory`
`Integer`
`socketTimeout`
`boolean`
`staticGlobal`
`boolean`
`tcpAbortiveClose`
`boolean`
`tcpKeepAlive`
`boolean`
`tcpNoDelay`
`Integer`
`tcpRcvBuf`
`Integer`
`tcpSndBuf`
`boolean`
`tinyInt1isBit`
`String`
`tlsSocketType`
`boolean`
`trackSchema`
`boolean`
`trustServerCertificate`
`String`
`trustStore`
`String`
`trustStorePassword`
`String`
`trustStoreType`
`boolean`
`useAffectedRows`
`Boolean`
`useBatchMultiSend`
`int`
`useBatchMultiSendNumber`
`boolean`
`useBulkStmts`
`boolean`
`useCompression`
`boolean`
`useFractionalSeconds`
`boolean`
`useLegacyDatetimeCode`
`boolean`
`useMysqlMetadata`
`boolean`
`useOldAliasMetadataBehavior`
`Boolean`
`usePipelineAuth`
`String`
`user`
`boolean`
`useReadAheadInput`
`boolean`
`useResetConnection`
`boolean`
`useServerPrepStmts`
`Boolean`
`useSsl`
`int`
`validConnectionTimeout`
`boolean`
`yearIsDateType`

## Constructor Summary

Constructors
Constructor
Description
`Options()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MIN_VALUE__MAX_IDLE_TIME

public static final int MIN_VALUE__MAX_IDLE_TIME

See Also:
  - Constant Field Values

### user

public String user

### password

public String password

### trustServerCertificate

public boolean trustServerCertificate

### serverSslCert

public String serverSslCert

### trustStore

public String trustStore

### trustStoreType

public String trustStoreType

### keyStoreType

public String keyStoreType

### trustStorePassword

public String trustStorePassword

### keyStore

public String keyStore

### keyStorePassword

public String keyStorePassword

### keyPassword

public String keyPassword

### enabledSslProtocolSuites

public String enabledSslProtocolSuites

### useFractionalSeconds

public boolean useFractionalSeconds

### pinGlobalTxToPhysicalConnection

public boolean pinGlobalTxToPhysicalConnection

### socketFactory

public String socketFactory

### connectTimeout

public int connectTimeout

### pipe

public String pipe

### localSocket

public String localSocket

### sharedMemory

public String sharedMemory

### tcpNoDelay

public boolean tcpNoDelay

### tcpKeepAlive

public boolean tcpKeepAlive

### tcpRcvBuf

public Integer tcpRcvBuf

### tcpSndBuf

public Integer tcpSndBuf

### tcpAbortiveClose

public boolean tcpAbortiveClose

### localSocketAddress

public String localSocketAddress

### socketTimeout

public Integer socketTimeout

### allowMultiQueries

public boolean allowMultiQueries

### trackSchema

public boolean trackSchema

### rewriteBatchedStatements

public boolean rewriteBatchedStatements

### useCompression

public boolean useCompression

### interactiveClient

public boolean interactiveClient

### passwordCharacterEncoding

public String passwordCharacterEncoding

### blankTableNameMeta

public boolean blankTableNameMeta

### credentialType

public String credentialType

### useSsl

public Boolean useSsl

### enabledSslCipherSuites

public String enabledSslCipherSuites

### sessionVariables

public String sessionVariables

### tinyInt1isBit

public boolean tinyInt1isBit

### yearIsDateType

public boolean yearIsDateType

### createDatabaseIfNotExist

public boolean createDatabaseIfNotExist

### serverTimezone

public String serverTimezone

### nullCatalogMeansCurrent

public boolean nullCatalogMeansCurrent

### dumpQueriesOnException

public boolean dumpQueriesOnException

### useOldAliasMetadataBehavior

public boolean useOldAliasMetadataBehavior

### useMysqlMetadata

public boolean useMysqlMetadata

### allowLocalInfile

public boolean allowLocalInfile

### cachePrepStmts

public boolean cachePrepStmts

### prepStmtCacheSize

public int prepStmtCacheSize

### prepStmtCacheSqlLimit

public int prepStmtCacheSqlLimit

### useLegacyDatetimeCode

public boolean useLegacyDatetimeCode

### useAffectedRows

public boolean useAffectedRows

### maximizeMysqlCompatibility

public boolean maximizeMysqlCompatibility

### useServerPrepStmts

public boolean useServerPrepStmts

### continueBatchOnError

public boolean continueBatchOnError

### jdbcCompliantTruncation

public boolean jdbcCompliantTruncation

### cacheCallableStmts

public boolean cacheCallableStmts

### callableStmtCacheSize

public int callableStmtCacheSize

### connectionAttributes

public String connectionAttributes

### useBatchMultiSend

public Boolean useBatchMultiSend

### useBatchMultiSendNumber

public int useBatchMultiSendNumber

### usePipelineAuth

public Boolean usePipelineAuth

### enablePacketDebug

public boolean enablePacketDebug

### useBulkStmts

public boolean useBulkStmts

### disableSslHostnameVerification

public boolean disableSslHostnameVerification

### autocommit

public boolean autocommit

### includeInnodbStatusInDeadlockExceptions

public boolean includeInnodbStatusInDeadlockExceptions

### includeThreadDumpInDeadlockExceptions

public boolean includeThreadDumpInDeadlockExceptions

### servicePrincipalName

public String servicePrincipalName

### defaultFetchSize

public int defaultFetchSize

### nonMappedOptions

public Properties nonMappedOptions

### tlsSocketType

public String tlsSocketType

### log

public boolean log

### profileSql

public boolean profileSql

### maxQuerySizeToLog

public int maxQuerySizeToLog

### slowQueryThresholdNanos

public Long slowQueryThresholdNanos

### assureReadOnly

public boolean assureReadOnly

### autoReconnect

public boolean autoReconnect

### failOnReadOnly

public boolean failOnReadOnly

### retriesAllDown

public int retriesAllDown

### validConnectionTimeout

public int validConnectionTimeout

### loadBalanceBlacklistTimeout

public int loadBalanceBlacklistTimeout

### failoverLoopRetries

public int failoverLoopRetries

### allowMasterDownConnection

public boolean allowMasterDownConnection

### galeraAllowedState

public String galeraAllowedState

### pool

public boolean pool

### poolName

public String poolName

### maxPoolSize

public int maxPoolSize

### minPoolSize

public Integer minPoolSize

### maxIdleTime

public int maxIdleTime

### staticGlobal

public boolean staticGlobal

### registerJmxPool

public boolean registerJmxPool

### poolValidMinDelay

public int poolValidMinDelay

### useResetConnection

public boolean useResetConnection

### useReadAheadInput

public boolean useReadAheadInput

### serverRsaPublicKeyFile

public String serverRsaPublicKeyFile

### allowPublicKeyRetrieval

public boolean allowPublicKeyRetrieval

### ensureSocketState

public boolean ensureSocketState

## Constructor Details

### Options

public Options()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### clone

public Object clone() throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`